Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Ben de Groot (yngwin)" <yngwin@g.o>
Subject: gentoo-x86 commit in media-video/smplayer: smplayer-0.6.3.ebuild ChangeLog
Date: Wed, 15 Oct 2008 17:06:02 +0000
yngwin      08/10/15 17:06:02

  Modified:             smplayer-0.6.3.ebuild ChangeLog
  Log:
  Turn off console message flooding unless USE=debug
  (Portage version: 2.2_rc12_p11688/cvs/Linux 2.6.26-hh3 i686)

Revision  Changes    Path
1.3                  media-video/smplayer/smplayer-0.6.3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/smplayer/smplayer-0.6.3.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/smplayer/smplayer-0.6.3.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/smplayer/smplayer-0.6.3.ebuild?r1=1.2&r2=1.3

Index: smplayer-0.6.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/smplayer/smplayer-0.6.3.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- smplayer-0.6.3.ebuild	28 Sep 2008 16:15:16 -0000	1.2
+++ smplayer-0.6.3.ebuild	15 Oct 2008 17:06:02 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/smplayer/smplayer-0.6.3.ebuild,v 1.2 2008/09/28 16:15:16 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/smplayer/smplayer-0.6.3.ebuild,v 1.3 2008/10/15 17:06:02 yngwin Exp $
 
 EAPI=2
 inherit eutils qt4
@@ -11,7 +11,7 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-IUSE=""
+IUSE="debug"
 DEPEND="|| ( x11-libs/qt-gui:4
 			>=x11-libs/qt-4.3:4 )"
 RDEPEND="${DEPEND}
@@ -38,6 +38,12 @@
 		-e '/get_svn_revision.sh/,+2c\
 	cd src && $(DEFS) $(MAKE)' \
 		"${S}"/Makefile || die "sed failed"
+
+	# Turn debug message flooding off
+	if ! use debug ; then
+		sed -i "s:#DEFINES += NO_DEBUG_ON_CONSOLE:DEFINES += NO_DEBUG_ON_CONSOLE:" \
+		"${S}"/src/smplayer.pro || die "sed failed"
+	fi
 }
 
 src_configure() {



1.44                 media-video/smplayer/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/smplayer/ChangeLog?rev=1.44&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/smplayer/ChangeLog?rev=1.44&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-video/smplayer/ChangeLog?r1=1.43&r2=1.44

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/smplayer/ChangeLog,v
retrieving revision 1.43
retrieving revision 1.44
diff -u -r1.43 -r1.44
--- ChangeLog	28 Sep 2008 16:15:16 -0000	1.43
+++ ChangeLog	15 Oct 2008 17:06:02 -0000	1.44
@@ -1,6 +1,10 @@
 # ChangeLog for media-video/smplayer
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/smplayer/ChangeLog,v 1.43 2008/09/28 16:15:16 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/smplayer/ChangeLog,v 1.44 2008/10/15 17:06:02 yngwin Exp $
+
+  15 Oct 2008; Ben de Groot <yngwin@g.o> smplayer-0.6.3.ebuild:
+  Turn off console message flooding unless USE=debug, as suggested by
+  Michael Perlov in bug 239486.
 
   28 Sep 2008; Ben de Groot <yngwin@g.o> smplayer-0.6.2-r1.ebuild,
   smplayer-0.6.3.ebuild:





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-text/tabler: - New directory
Next by thread:
gentoo-x86 commit in app-text/tabler: metadata.xml tabler-2.ebuild Manifest ChangeLog
Previous by date:
gentoo-x86 commit in app-text/tabler: - New directory
Next by date:
gentoo-x86 commit in app-text/tabler: metadata.xml tabler-2.ebuild Manifest ChangeLog


Updated Jul 26, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.